gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[libextractor] branch master updated: improve fuzz_default script


From: gnunet
Subject: [libextractor] branch master updated: improve fuzz_default script
Date: Thu, 29 Oct 2020 21:33:22 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository libextractor.

The following commit(s) were added to refs/heads/master by this push:
     new 32e5c97  improve fuzz_default script
32e5c97 is described below

commit 32e5c9789df128686ebda877472e5fac81fc7bdc
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Thu Oct 29 21:26:12 2020 +0100

    improve fuzz_default script
---
 src/plugins/fuzz_default.sh | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/src/plugins/fuzz_default.sh b/src/plugins/fuzz_default.sh
index 67292cf..c404723 100755
--- a/src/plugins/fuzz_default.sh
+++ b/src/plugins/fuzz_default.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -eu
+
 ZZSTARTSEED=0
 ZZSTOPSEED=100
 ret=0
@@ -14,15 +16,17 @@ then
   bindir="$bindir/bin"
 fi
 
-if test -x `which zzuf`
+if test ! -x `which zzuf`
 then
+    echo "zzuf not available, not running the test"
     exit 77
 fi
 
 if test -x `which timeout`
 then
-    TIMEOUT=timeout 15
+    TIMEOUT="timeout 15"
 else
+    echo "timeout command not found, will not auto-timeout (may cause hang)"
     TIMEOUT=""
 fi
 
@@ -37,7 +41,7 @@ do
     do
       echo "file $file seed $seed"
       zzuf -c -s $seed cat "$file" > "$tmpfile"
-      if ! "$TIMEOUT $bindir/extract" -i "$tmpfile" > /dev/null
+      if ! $TIMEOUT $bindir/extract -i "$tmpfile" > /dev/null
       then
         echo "$tmpfile with seed $seed failed"
            mv $tmpfile $tmpfile.keep

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]